# Search the index: highlights with citations

`POST /search` · Rivier · search

Search the index: highlights with citations.

- Scope: search:read
- Mcp: rivier_search
- Graphql: Query.searchWebSearch
- Sdk: search.web.search
- Cli: search web search

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "query": {
      "type": "string",
      "minLength": 1,
      "maxLength": 1000
    },
    "topK": {
      "type": "integer",
      "minimum": 1,
      "maximum": 50
    }
  },
  "required": [
    "query"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/search' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "query": "string"
}'
```
